%define realname   POE-API-Peek

Name:		perl-%{realname}
Version:    1.0802
Release:    %mkrel 1
License:	Artistic
Group:		Development/Perl
Summary:    Peek into the internals of a running POE environment
Source0:    http://search.cpan.org/CPAN/authors/id/S/SU/SUNGO/%{realname}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-Devel-Size perl-POE
BuildArch: noarch

%description
POE::API::Peek extends the POE::Kernel interface to provide clean access to 
Kernel internals in a cross-version compatible manner. Other calculated 
data is also available.

%prep
%setup -q -n POE-API-Peek-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/POE
%{_mandir}/man3/*



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0802-1mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0802-1mdv2008.0
+ Revision: 25176
- 1.0802


* Mon Jan 30 2006 Michael Scherer <misc@mandriva.org> 1.06-2mdk
- BuildRequires

* Tue Jan 24 2006 Michael Scherer <misc@mandriva.org> 1.06-1mdk
- First Mandriva package

